#ifndef BOUTON_H_INCLUDED
#define BOUTON_H_INCLUDED

/*Description:
  Permet de creer des icones d'arme cliquables.
  Un clic sur l'une d'entre elles permet le changement d'arme.
  */

#include <SDL/SDL.h>
#include "Cliquable.h"
#include "Joueur.h"

class Bouton : public Cliquable
{
	public:
		Bouton(int x, int y,int choixArme,std::string armeAssignee, SDL_Surface* ecran, Joueur* lanceur);
		~Bouton();
		void afficher();//Affiche l'icone et appelle "clic" si le clic gauche vient d'tre effectu
		void clic();//Attribue l'arme associe au joueur proprio si le clic est bien sur l'icone.

	private:
		SDL_Surface* m_ecran;//Pour les blits
		SDL_Surface* imageIcone;
		SDL_Rect m_positionIcone;
		Joueur* proprio;
		//Limite autre hritage
		std::string m_armeAssignee;
};

#endif // BOUTON_H_INCLUDED
