#ifndef CLIQUABLE_H_INCLUDED
#define CLIQUABLE_H_INCLUDED

/*Description:
  Permet de crer des objets cliquables avec le clic gauche.
  */

#include <iostream>
#include <SDL/SDL.h>


class Cliquable
{
	public:
		static void getFire(int x,int y,unsigned int typeTir);//Met  jour le dernier tir effectu
		static void upFire();//Rajoute un temps depuis le dernier tir

	protected:
		static int m_xFire;//Contient la coordonne x d'un tir
		static int m_yFire;//Contient la coordonne y d'un tir
		static int m_tempsFire;//Contient le nb de boucles depuis le dernier tir (0=en cours; 5=il y a 5 boucles)
		static int m_typeFire;//Contient le type de l'arme qui a tir
};

#endif // CLIQUABLE_H_INCLUDED
